ColourSwitcher = ColourSwitcher or class()
ColourSwitcher.menu_id = "ColourSwitcher"
ColourSwitcher.SaveFile = ColourSwitcher.SaveFile or SavePath .. "ColourSwitcher.txt"
ColourSwitcher.settings = ColourSwitcher.settings or {}
-- ColourSwitcher.settings.colour_picked              = ColourSwitcher.settings.colour_picked              or 1
-- ColourSwitcher.settings.interactable_standard      = ColourSwitcher.settings.interactable_standard      or 1
-- ColourSwitcher.settings.interactable_selected      = ColourSwitcher.settings.interactable_selected      or 1
-- ColourSwitcher.settings.character_friendly         = ColourSwitcher.settings.character_friendly         or 1
-- ColourSwitcher.settings.character_friendly_minion  = ColourSwitcher.settings.character_friendly_minion  or 1
-- ColourSwitcher.settings.character_downed           = ColourSwitcher.settings.character_downed           or 1
-- ColourSwitcher.settings.character_dead             = ColourSwitcher.settings.character_dead             or 1
-- ColourSwitcher.settings.character_dangerous        = ColourSwitcher.settings.character_dangerous        or 1
-- ColourSwitcher.settings.character_more_dangerous   = ColourSwitcher.settings.character_more_dangerous   or 1
-- ColourSwitcher.settings.character_heal             = ColourSwitcher.settings.character_heal             or 1
-- ColourSwitcher.settings.character_invulnerable     = ColourSwitcher.settings.character_invulnerable     or 1
-- ColourSwitcher.settings.character_interactable_std = ColourSwitcher.settings.character_interactable_std or 1
-- ColourSwitcher.settings.character_interactable_sel = ColourSwitcher.settings.character_interactable_sel or 1

function ColourSwitcher:Reset()
	self.settings = {
		colour_picked              = self.settings.colour_picked              or "Standard",
		interactable_standard      = self.settings.interactable_standard      or "Standard",
		interactable_selected      = self.settings.interactable_selected      or "Standard",
		character_friendly         = self.settings.character_friendly         or "Standard",
		character_friendly_minion  = self.settings.character_friendly_minion  or "Standard",
		character_downed           = self.settings.character_downed           or "Standard",
		character_dead             = self.settings.character_dead             or "Standard",
		character_dangerous        = self.settings.character_dangerous        or "Standard",
		character_more_dangerous   = self.settings.character_more_dangerous   or "Standard",
		character_heal             = self.settings.character_heal             or "Standard",
		character_invulnerable     = self.settings.character_invulnerable     or "Standard",
		character_interactable_std = self.settings.character_interactable_std or "Standard",
		character_interactable_sel = self.settings.character_interactable_sel or "Standard",
		deployable_standard 	   = self.settings.deployable_standard  	  or "Standard",
		deployable_selected 	   = self.settings.deployable_selected  	  or "Standard",
		deployable_active 		   = self.settings.deployable_active 	 	  or "Standard",
		deployable_interact 	   = self.settings.deployable_interact  	  or "Standard",
		deployable_disabled		   = self.settings.deployable_disabled	 	  or "Standard",
		upgradable_standard 	   = self.settings.upgradable_standard 	 	  or "Standard",
		upgradable_selected 	   = self.settings.upgradable_selected 	 	  or "Standard",
		interaction_icon 		   = self.settings.interaction_icon 	 	  or "Standard"
	}
	self:Save()
end

function ColourSwitcher:Load()
	local file = io.open(self.SaveFile, "r")
	if file then
		for key, value in pairs(json.decode(file:read("*all"))) do
			self.settings[key] = value
			log(key .. " : " .. value)
		end
		file:close()
	else
		self:Reset()
	end
end

function ColourSwitcher:Save()
	local file = io.open(self.SaveFile, "w+")
	if file then
		file:write(json.encode(self.settings))
		file:close()
	end
end

ColourSwitcher:Load()

ColourSwitcher.colour_options = {
"Standard",
"Green",
"Mangenta",
"Orange",
"Purple",
"Red",
"White",
"Yellow"
}
ColourSwitcher.colour_options_contours = {
"Standard",
"Green",
"Mangenta",
"Orange",
"Purple",
"Red",
"White",
"Yellow",
"Blue",
"Cyan",
"Disable Outline"
}

Hooks:Add("LocalizationManagerPostInit", "ColourSwitcherOptions", function(loc)
	local locs = {
		menu_colour_switcher = "Colour Switcher",
		menu_colour_switcher_save_slot = "Colour Scheme",
		menu_colour_switcher_save_slot_desc = "Select which set of colours to use for menu elements.",
		menu_colour_switcher_int_std = "Interactable Outlines",
		menu_colour_switcher_int_std_desc = "The contour of objects that you can interact with, such as gas cans, keycards, bags, ...",
		menu_colour_switcher_int_sel = "Selected Interactable Outline",
		menu_colour_switcher_int_sel_desc = "The contour of interactable objects when you're looking at them.",
		menu_colour_switcher_chr_fre = "Friendly Characters",
		menu_colour_switcher_chr_fre_desc = "Hostages following you and cameras with the Camera Loop appiled.",
		menu_colour_switcher_chr_jkr = "Jokers",
		menu_colour_switcher_chr_jkr_desc = "Converted enemies.",
		menu_colour_switcher_chr_dwn = "Downed Teammates",
		menu_colour_switcher_chr_dwn_desc = "Teammates that are in a pickle.",
		menu_colour_switcher_chr_ded = "Dead Teammates",
		menu_colour_switcher_chr_ded_desc = "",
		menu_colour_switcher_chr_dng = "Marked Targets",
		menu_colour_switcher_chr_dng_desc = "Marked enemies, as well as NPCs marked by the Spy Cam.",
		menu_colour_switcher_chr_thr = "High-Value Targets",
		menu_colour_switcher_chr_thr_desc = "Enemies when highlighted with the High-Value Target skill equipped.",
		menu_colour_switcher_chr_hel = "Healing Outline",
		menu_colour_switcher_chr_hel_desc = "Seen on enemies when they are healed by a police medic.",
		menu_colour_switcher_chr_inv = "Temporary Invulnerability",
		menu_colour_switcher_chr_inv_desc = "Seen on Marshall Shield that have their shield destroyed.",
		menu_colour_switcher_chr_int_std = "Mission NPCs",
		menu_colour_switcher_chr_int_std_desc = "Character outlines such as guards' pagers, the Taxman, or hostages ready to be traded.",
		menu_colour_switcher_chr_int_sel = "Selected Mission NPCs",
		menu_colour_switcher_chr_int_sel_desc = "Interactable characters when looking at them.",
		menu_colour_switcher_dpl_std = "Deployables",
		menu_colour_switcher_dpl_std_desc = "The basic outline of most dployables such as medic bags, ammo bags, body bag cases, ...",
		menu_colour_switcher_dpl_sel = "Selected Deployable & Ammo",
		menu_colour_switcher_dpl_sel_desc = "The contour of depolyables when looking at them, as well as ammo pickups.",
		menu_colour_switcher_dpl_act = "Active Deployables",
		menu_colour_switcher_dpl_act_desc = "Currently active deployables such as sentry guns and ECM jammers.",
		menu_colour_switcher_dpl_int = "Interactable Deployables",
		menu_colour_switcher_dpl_int_desc = "Deployable that can be interacted with such as the ECM jammer's feedback loop or trip mines.",
		menu_colour_switcher_dpl_dis = "Disabled Deployables",
		menu_colour_switcher_dpl_dis_desc = "Sentries that have run out of ammo.",
		menu_colour_switcher_upg_std = "Upgradable Drills",
		menu_colour_switcher_upg_std_desc = "Drills, thermal lances, saws that can be upgraded.",
		menu_colour_switcher_upg_sel = "Selected Upgradable Drills",
		menu_colour_switcher_upg_sel_desc = "Upgradable drills when you look at them.",
		menu_colour_switcher_int_ico = "Interaction Icon",
		menu_colour_switcher_int_ico_desc = "The contour on the interaction icons of objects such as the lockpicking icon on doors."
	}
	for i, v in ipairs(ColourSwitcher.colour_options_contours) do
		locs[v] = tostring(v)
	end
	LocalizationManager:add_localized_strings(locs)
end)
Hooks:Add("MenuManagerSetupCustomMenus", "ColourSwitcherOptions", function(menu_manager, nodes)
	MenuHelper:NewMenu(ColourSwitcher.menu_id)
end)
Hooks:Add("MenuManagerPopulateCustomMenus", "ColourSwitcherOptions", function(menu_manager, nodes)
	function MenuCallbackHandler:ColourSwitcher_set_slot(item)
		ColourSwitcher.settings[item:name()] = item:value()
	log("Setting ... " .. tostring(item:name()) .. " = " .. tostring(ColourSwitcher.colour_options_contours[item:value()]))
	ColourSwitcher:Save()
	end

log("\"" .. ColourSwitcher.settings.colour_picked .. "\"")
	MenuHelper:AddMultipleChoice({
		id = "colour_picked",
		title = "menu_colour_switcher_save_slot",
		desc = "menu_colour_switcher_save_slot_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.colour_picked,
		items = ColourSwitcher.colour_options,
		menu_id = ColourSwitcher.menu_id,
		priority = 25
	})
	
	MenuHelper:AddDivider({
		id = "divider_interactables",
		size = 21,
		menu_id = ColourSwitcher.menu_id,
		priority = 24
	})

	MenuHelper:AddMultipleChoice({
		id = "interactable_standard",
		title = "menu_colour_switcher_int_std",
		desc  = "menu_colour_switcher_int_std_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.interactable_standard,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 23
	})

	MenuHelper:AddMultipleChoice({
		id = "interactable_selected",
		title = "menu_colour_switcher_int_sel",
		desc  = "menu_colour_switcher_int_sel_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.interactable_selected,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 22
	})

	MenuHelper:AddMultipleChoice({
		id = "interaction_icon",
		title = "menu_colour_switcher_int_ico",
		desc  = "menu_colour_switcher_int_ico_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.interaction_icon,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 21
	})
	
	MenuHelper:AddDivider({
		id = "divider_characters",
		size = 21,
		menu_id = ColourSwitcher.menu_id,
		priority = 20
	})

	MenuHelper:AddMultipleChoice({
		id = "character_friendly",
		title = "menu_colour_switcher_chr_fre",
		desc  = "menu_colour_switcher_chr_fre_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_friendly,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 19
	})

	MenuHelper:AddMultipleChoice({
		id = "character_friendly_minion",
		title = "menu_colour_switcher_chr_jkr",
		desc  = "menu_colour_switcher_chr_jkr_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_friendly_minion,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 18
	})

	MenuHelper:AddMultipleChoice({
		id = "character_downed",
		title = "menu_colour_switcher_chr_dwn",
		desc  = "menu_colour_switcher_chr_dwn_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_downed,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 17
	})

	MenuHelper:AddMultipleChoice({
		id = "character_dead",
		title = "menu_colour_switcher_chr_ded",
		desc  = "menu_colour_switcher_chr_ded_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_dead,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 16
	})

	MenuHelper:AddMultipleChoice({
		id = "character_dangerous",
		title = "menu_colour_switcher_chr_dng",
		desc  = "menu_colour_switcher_chr_dng_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_dangerous,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 15
	})

	MenuHelper:AddMultipleChoice({
		id = "character_more_dangerous",
		title = "menu_colour_switcher_chr_thr",
		desc  = "menu_colour_switcher_chr_thr_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_more_dangerous,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 14
	})

	MenuHelper:AddMultipleChoice({
		id = "character_heal",
		title = "menu_colour_switcher_chr_hel",
		desc  = "menu_colour_switcher_chr_hel_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_heal,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 13
	})

	MenuHelper:AddMultipleChoice({
		id = "character_invulnerable",
		title = "menu_colour_switcher_chr_inv",
		desc  = "menu_colour_switcher_chr_inv_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_invulnerable,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 12
	})

	MenuHelper:AddMultipleChoice({
		id = "character_interactable_std",
		title = "menu_colour_switcher_chr_int_std",
		desc  = "menu_colour_switcher_chr_int_std_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_interactable_std,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 11
	})

	MenuHelper:AddMultipleChoice({
		id = "character_interactable_sel",
		title = "menu_colour_switcher_chr_int_sel",
		desc  = "menu_colour_switcher_chr_int_sel_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.character_interactable_sel,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 10
	})
	
	MenuHelper:AddDivider({
		id = "divider_deployables",
		size = 21,
		menu_id = ColourSwitcher.menu_id,
		priority = 9
	})

	MenuHelper:AddMultipleChoice({
		id = "deployable_standard",
		title = "menu_colour_switcher_dpl_std",
		desc  = "menu_colour_switcher_dpl_std_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.deployable_standard,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 8
	})

	MenuHelper:AddMultipleChoice({
		id = "deployable_selected",
		title = "menu_colour_switcher_dpl_sel",
		desc  = "menu_colour_switcher_dpl_sel_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.deployable_selected,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 7
	})

	MenuHelper:AddMultipleChoice({
		id = "deployable_active",
		title = "menu_colour_switcher_dpl_act",
		desc  = "menu_colour_switcher_dpl_act_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.deployable_active,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 6
	})

	MenuHelper:AddMultipleChoice({
		id = "deployable_interact",
		title = "menu_colour_switcher_dpl_int",
		desc  = "menu_colour_switcher_dpl_int_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.deployable_interact,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 5
	})

	MenuHelper:AddMultipleChoice({
		id = "deployable_disabled",
		title = "menu_colour_switcher_dpl_dis",
		desc  = "menu_colour_switcher_dpl_dis_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.deployable_disabled,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 4
	})
	
	MenuHelper:AddDivider({
		id = "divider_upgradables",
		size = 21,
		menu_id = ColourSwitcher.menu_id,
		priority = 3
	})

	MenuHelper:AddMultipleChoice({
		id = "upgradable_standard",
		title = "menu_colour_switcher_upg_std",
		desc  = "menu_colour_switcher_upg_std_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.upgradable_standard,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 2
	})

	MenuHelper:AddMultipleChoice({
		id = "upgradable_selected",
		title = "menu_colour_switcher_upg_sel",
		desc  = "menu_colour_switcher_upg_sel_desc",
		callback = "ColourSwitcher_set_slot",
		value = ColourSwitcher.settings.upgradable_selected,
		items = ColourSwitcher.colour_options_contours,
		menu_id = ColourSwitcher.menu_id,
		priority = 1
	})
end)
Hooks:Add("MenuManagerBuildCustomMenus", "MenuManagerAddCustomMenusColourSwitcher", function(menu_manager, nodes)
	nodes[ColourSwitcher.menu_id] = MenuHelper:BuildMenu(ColourSwitcher.menu_id)

	MenuHelper:AddMenuItem(nodes["blt_options"], ColourSwitcher.menu_id, "menu_colour_switcher")
end)