-- HEX color codes, ARGB (!!!) values (either on 0-255 or 0-1 scale) work, NO HSL.
-- Contours use RGB values.
-- Almost all values (sans important_2) are affected by their alpha value so using HEX codes will be interpreted as full opacity. 
-- I don't recommend reducing the alpha value of any color since the game already appiles extra alpha to most GUI elements.
-- (!) Accent colours that are PAYDAY blue by default | (*) Colours affected by transparency
ColourSwitcher = ColourSwitcher or class()

local c_standard = Vector3(0, 0, 1)
local c_green    = Vector3(0, 1, 0)
local c_mangenta = Vector3(1, 0, 1)
local c_orange   = Vector3(1, 0.5, 0)
local c_purple   = Vector3(0.8, 0, 0.8)
local c_red      = Vector3(1, 0, 0)
local c_white    = Vector3(1, 1, 1)
local c_yellow   = Vector3(1, 1, 0)
local c_blue     = Vector3(0, 0, 1)
local c_cyan     = Vector3(0, 1, 1)
local c_black    = Vector3(0, 0, 0)


	local c = tostring(ColourSwitcher.settings.colour_picked)
	log("Current colour = " .. tostring(ColourSwitcher.settings.colour_picked))
		if c == "1" then
			tweak_data.screen_colors.text 						= Color(255, 255, 255, 255) / 255 	-- standard text color: main menu text , flavor text in blackmarket, selected tab background
			tweak_data.screen_colors.resource 					= Color(255, 77, 198, 255) / 255 	-- skill bonus text in skill descriptions and blackmarket
			tweak_data.screen_colors.button_stage_1 			= Color(255, 0, 0, 0) / 255 		-- selected tab text in blackmarket & mission briefing & stage end screen, shadow text in mission briefing
			tweak_data.screen_colors.button_stage_2 			= Color(255, 77, 198, 255) / 255 	-- hover text in menus and blackmarket, CRIME.NET sidebar icons, contract video tint, lootscreen card tint, sort order in achievement menu
			tweak_data.screen_colors.button_stage_3 			= Color(127, 0, 170, 255) / 255 	-- unselected button text, hover text background, crimenet icons divider, shadow text, hover background in contract menu, lootscreen card glow, ESC menu background
			tweak_data.screen_colors.important_1 				= Color(255, 255, 51, 51) / 255 	-- warning text (remaining skillpoints 0, incompatibility, locked content)
			tweak_data.screen_colors.important_2 				= Color("ff3333")					-- "expires in ..." bars in sidejobs
			tweak_data.screen_colors.item_stage_1 				= Color(255, 255, 255, 255) / 255 	-- acquired infamy levels, current heist day, locked asset padlock & "Waiting for..."
			tweak_data.screen_colors.item_stage_2 				= Color(255, 89, 115, 128) / 255 	-- accessible infamy levels
			tweak_data.screen_colors.item_stage_3 				= Color(255, 23, 33, 38) / 255 		-- inaccessible infamy levels & upcoming heist days
			tweak_data.screen_colors.stats_negative 			= Color(255, 254, 93, 99) / 255 	-- negative part stats
			tweak_data.screen_colors.stats_positive 			= Color(255, 191, 221, 125) / 255 	-- positive part stats
			tweak_data.screen_colors.stat_maxed 				= Color(255, 255, 0, 255) / 255 	-- maxed stat text on weapons (100 Accuracy/Stability)
			tweak_data.screen_colors.stats_mods 				= Color(255, 229, 229, 76) / 255  	-- summarised stat changes from weapon mods 
			tweak_data.screen_colors.friend_color 				= Color(255, 41, 204, 122) / 255 	-- host name in CRIME.NET (Steam Friend only)
			tweak_data.screen_colors.regular_color 				= Color(255, 41, 150, 240) / 255 	-- host name in CRIME.NET (Anyone)
			tweak_data.screen_colors.risk 						= Color(255, 255, 204, 0) / 255 	-- difficulty skulls & difficulty bonuses text
			tweak_data.screen_colors.heat_cold_color 			= Color(255, 255, 51, 51) / 255 	-- Heat EXP penalty text & blip
			tweak_data.screen_colors.heat_warm_color 			= Color(255, 255, 127, 0) / 255		-- Heat EXP bonus text & blip
			tweak_data.screen_colors.achievement_grey 			= Color(255, 145, 145, 145) / 255 	-- text color of achievement names when unselected, text color of achievement description when selected
			tweak_data.screen_colors.challenge_completed_color 	= Color(255, 255, 168, 0) / 255 	-- completed sidejob text color
			tweak_data.screen_colors.crime_spree_risk 			= Color(255, 255, 255, 0) / 255 	-- color of Crime Spree blips and icon on CRIME.NET
			tweak_data.screen_colors.mutators_color 			= Color(255, 211, 133, 255) / 255 	-- Mutated lobby symbol in CRIME.NET
			tweak_data.screen_colors.mutators_color_text 		= Color(255, 211, 133, 255) / 255 	-- mutators text in lobby, name of mutated lobby heist
			tweak_data.screen_colors.skirmish_color 			= Color(255, 255, 85, 30) / 255 	-- color of holdout blips in CRIME.NET, Holdout progress bar
			tweak_data.screen_colors.dlc_color 					= Color(255, 255, 212, 0) / 255 	-- DLC tag on heists in the contract broker (Ultimate Edition tag)
			tweak_data.screen_colors.community_color 			= Color(255, 59, 174, 254) / 255 	-- Community tag on heists in contract broker
			tweak_data.screen_colors.challenge_title 			= Color(255, 255, 168, 0) / 255		-- Anything ending in a colon (:) in the side jobs and trophy menu
			-- MISC                                                                            ,
			tweak_data.screen_colors.ghost_color 			    = Color(255, 76, 166, 255) / 255	-- ghost icon on server blips
			tweak_data.screen_colors.one_down 				    = Color(255, 250, 30, 0) / 255		-- one down icon on server blips
			tweak_data.screen_colors.crimenet_lines 		    = Color(255, 127, 157, 182) / 255 	-- map lines in crimenet
			tweak_data.screen_colors.pro_color 				    = Color(255, 255, 51, 51) / 255 	-- Pro Job tag on heist (Obsolete)
			tweak_data.screen_colors.competitive_color 		    = Color(255, 41, 204, 122) / 255 	-- ?
			tweak_data.screen_colors.event_color 			    = Color(255, 255, 145, 0) / 255 	-- ?
			tweak_data.screen_colors.extra_bonus_color 		    = Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.heat_standard_color 	    = Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.infamous_color 		    = Color(255, 255, 25, 255) 	/255	-- ?
			tweak_data.screen_colors.skill_color 			    = Color(255, 77, 198, 255) / 255 	-- ?

		elseif c == "2" then
			-- TEXT
			tweak_data.screen_colors.text 						= Color(255, 255, 255, 255) / 255 	-- standard text color: main menu text , flavor text in blackmarket, selected tab background
			tweak_data.screen_colors.resource 					= Color(255, 109, 255, 77) / 255 	-- skill bonus text in skill descriptions and blackmarket
			tweak_data.screen_colors.button_stage_1 			= Color(255, 0, 0, 0) / 255 		-- selected tab text in blackmarket & mission briefing & stage end screen, shadow text in mission briefing
			tweak_data.screen_colors.button_stage_2 			= Color(255, 109, 255, 77) / 255 	-- hover text in menus and blackmarket, CRIME.NET sidebar icons, contract video tint, lootscreen card tint, sort order in achievement menu
			tweak_data.screen_colors.button_stage_3 			= Color(127, 43, 255, 0) / 255 	-- unselected button text, hover text background, crimenet icons divider, shadow text, hover background in contract menu, lootscreen card glow, ESC menu background
			tweak_data.screen_colors.important_1 				= Color(255, 255, 51, 51) / 255 	-- warning text (remaining skillpoints 0, incompatibility, locked content)
			tweak_data.screen_colors.important_2 				= Color("ff3333")					-- "expires in ..." bars in sidejobs
			tweak_data.screen_colors.item_stage_1 				= Color(255, 255, 255, 255) / 255 	-- acquired infamy levels, current heist day, locked asset padlock & "Waiting for..."
			tweak_data.screen_colors.item_stage_2 				= Color(255, 96, 128, 89) / 255 	-- accessible infamy levels
			tweak_data.screen_colors.item_stage_3 				= Color(255, 26, 38, 23) / 255 		-- inaccessible infamy levels & upcoming heist days
			tweak_data.screen_colors.stats_negative 			= Color(255, 254, 93, 99) / 255 	-- negative part stats
			tweak_data.screen_colors.stats_positive 			= Color(255, 191, 221, 125) / 255 	-- positive part stats
			tweak_data.screen_colors.stat_maxed 				= Color(255, 255, 0, 255) / 255 	-- maxed stat text on weapons (100 Accuracy/Stability)
			tweak_data.screen_colors.stats_mods 				= Color(255, 229, 229, 76) / 255  	-- summarised stat changes from weapon mods 
			tweak_data.screen_colors.friend_color 				= Color(255, 41, 204, 122) / 255 	-- host name in CRIME.NET (Steam Friend only)
			tweak_data.screen_colors.regular_color 				= Color(255, 51, 240, 41) / 255 	-- host name in CRIME.NET (Anyone)
			tweak_data.screen_colors.risk 						= Color(255, 255, 204, 0) / 255 	-- difficulty skulls & difficulty bonuses text
			tweak_data.screen_colors.heat_cold_color 			= Color(255, 255, 51, 51) / 255 	-- Heat EXP penalty text & blip
			tweak_data.screen_colors.heat_warm_color 			= Color(255, 255, 127, 0) / 255		-- Heat EXP bonus text & blip
			tweak_data.screen_colors.achievement_grey 			= Color(255, 145, 145, 145) / 255 	-- text color of achievement names when unselected, text color of achievement description when selected
			tweak_data.screen_colors.challenge_completed_color 	= Color(255, 255, 168, 0) / 255 	-- completed sidejob text color
			tweak_data.screen_colors.crime_spree_risk 			= Color(255, 255, 255, 0) / 255 	-- color of Crime Spree blips and icon on CRIME.NET
			tweak_data.screen_colors.mutators_color 			= Color(255, 211, 133, 255) / 255 	-- Mutated lobby symbol in CRIME.NET
			tweak_data.screen_colors.mutators_color_text 		= Color(255, 211, 133, 255) / 255 	-- mutators text in lobby, name of mutated lobby heist
			tweak_data.screen_colors.skirmish_color 			= Color(255, 255, 85, 30) / 255 	-- color of holdout blips in CRIME.NET, Holdout progress bar
			tweak_data.screen_colors.dlc_color 					= Color(255, 255, 212, 0) / 255 	-- DLC tag on heists in the contract broker (Ultimate Edition tag)
			tweak_data.screen_colors.community_color 			= Color(255, 59, 174, 254) / 255 	-- Community tag on heists in contract broker
			tweak_data.screen_colors.challenge_title 			= Color(255, 255, 168, 0) / 255		-- Anything ending in a colon (:) in the side jobs and trophy menu
			-- MISC
			tweak_data.screen_colors.ghost_color 				= Color(255, 77, 255, 76) / 255	-- ghost icon on server blips
			tweak_data.screen_colors.one_down 					= Color(255, 250, 30, 0) / 255		-- one down icon on server blips
			tweak_data.screen_colors.crimenet_lines 			= Color(255, 130, 182, 127) / 255 	-- map lines in crimenet
			tweak_data.screen_colors.pro_color 					= Color(255, 255, 51, 51) / 255 	-- Pro Job tag on heist (Obsolete)
			tweak_data.screen_colors.competitive_color 			= Color(255, 41, 204, 122) / 255 	-- ?
			tweak_data.screen_colors.event_color 				= Color(255, 255, 145, 0) / 255 	-- ?
			tweak_data.screen_colors.extra_bonus_color 			= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.heat_standard_color 		= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.infamous_color 			= Color(255, 255, 25, 255) 	/255	-- ?
			tweak_data.screen_colors.skill_color 				= Color(255, 77, 198, 255) / 255 	-- ?
		
		elseif c == "3" then
			-- TEXT
			tweak_data.screen_colors.text 						= Color(255, 255, 255, 255) / 255 	-- standard text color: main menu text , flavor text in blackmarket, selected tab background
			tweak_data.screen_colors.resource 					= Color(255, 222, 77, 255) / 255 	-- skill bonus text in skill descriptions and blackmarket
			tweak_data.screen_colors.button_stage_1 			= Color(255, 0, 0, 0) / 255 		-- selected tab text in blackmarket & mission briefing & stage end screen, shadow text in mission briefing
			tweak_data.screen_colors.button_stage_2 			= Color(255, 222, 77, 255) / 255 	-- hover text in menus and blackmarket, CRIME.NET sidebar icons, contract video tint, lootscreen card tint, sort order in achievement menu
			tweak_data.screen_colors.button_stage_3 			= Color(127, 212, 0, 255) / 255 	-- unselected button text, hover text background, crimenet icons divider, shadow text, hover background in contract menu, lootscreen card glow, ESC menu background
			tweak_data.screen_colors.important_1 				= Color(255, 255, 51, 51) / 255 	-- warning text (remaining skillpoints 0, incompatibility, locked content)
			tweak_data.screen_colors.important_2 				= Color("ff3333")					-- "expires in ..." bars in sidejobs
			tweak_data.screen_colors.item_stage_1 				= Color(255, 255, 255, 255) / 255 	-- acquired infamy levels, current heist day, locked asset padlock & "Waiting for..."
			tweak_data.screen_colors.item_stage_2 				= Color(255, 121, 89, 128) / 255 	-- accessible infamy levels
			tweak_data.screen_colors.item_stage_3 				= Color(255, 35, 23, 38) / 255 		-- inaccessible infamy levels & upcoming heist days
			tweak_data.screen_colors.stats_negative 			= Color(255, 254, 93, 99) / 255 	-- negative part stats
			tweak_data.screen_colors.stats_positive 			= Color(255, 191, 221, 125) / 255 	-- positive part stats
			tweak_data.screen_colors.stat_maxed 				= Color(255, 255, 0, 255) / 255 	-- maxed stat text on weapons (100 Accuracy/Stability)
			tweak_data.screen_colors.stats_mods 				= Color(255, 229, 229, 76) / 255  	-- summarised stat changes from weapon mods 
			tweak_data.screen_colors.friend_color 				= Color(255, 41, 204, 122) / 255 	-- host name in CRIME.NET (Steam Friend only)
			tweak_data.screen_colors.regular_color 				= Color(255, 230, 41, 240) / 255 	-- host name in CRIME.NET (Anyone)
			tweak_data.screen_colors.risk 						= Color(255, 255, 204, 0) / 255 	-- difficulty skulls & difficulty bonuses text
			tweak_data.screen_colors.heat_cold_color 			= Color(255, 255, 51, 51) / 255 	-- Heat EXP penalty text & blip
			tweak_data.screen_colors.heat_warm_color 			= Color(255, 255, 127, 0) / 255		-- Heat EXP bonus text & blip
			tweak_data.screen_colors.achievement_grey 			= Color(255, 145, 145, 145) / 255 	-- text color of achievement names when unselected, text color of achievement description when selected
			tweak_data.screen_colors.challenge_completed_color 	= Color(255, 255, 168, 0) / 255 	-- completed sidejob text color
			tweak_data.screen_colors.crime_spree_risk 			= Color(255, 255, 255, 0) / 255 	-- color of Crime Spree blips and icon on CRIME.NET
			tweak_data.screen_colors.mutators_color 			= Color(255, 211, 133, 255) / 255 	-- Mutated lobby symbol in CRIME.NET
			tweak_data.screen_colors.mutators_color_text 		= Color(255, 211, 133, 255) / 255 	-- mutators text in lobby, name of mutated lobby heist
			tweak_data.screen_colors.skirmish_color 			= Color(255, 255, 85, 30) / 255 	-- color of holdout blips in CRIME.NET, Holdout progress bar
			tweak_data.screen_colors.dlc_color 					= Color(255, 255, 212, 0) / 255 	-- DLC tag on heists in the contract broker (Ultimate Edition tag)
			tweak_data.screen_colors.community_color 			= Color(255, 59, 174, 254) / 255 	-- Community tag on heists in contract broker
			tweak_data.screen_colors.challenge_title 			= Color(255, 255, 168, 0) / 255		-- Anything ending in a colon (:) in the side jobs and trophy menu
			-- MISC
			tweak_data.screen_colors.ghost_color 				= Color(255, 254, 76, 255) / 255	-- ghost icon on server blips
			tweak_data.screen_colors.one_down 					= Color(255, 250, 30, 0) / 255		-- one down icon on server blips
			tweak_data.screen_colors.crimenet_lines 			= Color(255, 179, 127, 182) / 255 	-- map lines in crimenet
			tweak_data.screen_colors.pro_color 					= Color(255, 255, 51, 51) / 255 	-- Pro Job tag on heist (Obsolete)
			tweak_data.screen_colors.competitive_color 			= Color(255, 41, 204, 122) / 255 	-- ?
			tweak_data.screen_colors.event_color 				= Color(255, 255, 145, 0) / 255 	-- ?
			tweak_data.screen_colors.extra_bonus_color 			= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.heat_standard_color 		= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.infamous_color 			= Color(255, 255, 25, 255) 	/255	-- ?
			tweak_data.screen_colors.skill_color 				= Color(255, 77, 198, 255) / 255 	-- ?			
		
		elseif c == "4" then
			-- TEXT
			tweak_data.screen_colors.text 						= Color(255, 255, 255, 255) / 255 	-- standard text color: main menu text , flavor text in blackmarket, selected tab background
			tweak_data.screen_colors.resource 					= Color(255, 255, 133, 77) / 255 	-- skill bonus text in skill descriptions and blackmarket
			tweak_data.screen_colors.button_stage_1 			= Color(255, 0, 0, 0) / 255 		-- selected tab text in blackmarket & mission briefing & stage end screen, shadow text in mission briefing
			tweak_data.screen_colors.button_stage_2 			= Color(255, 255, 133, 77) / 255 	-- hover text in menus and blackmarket, CRIME.NET sidebar icons, contract video tint, lootscreen card tint, sort order in achievement menu
			tweak_data.screen_colors.button_stage_3 			= Color(127, 255, 84, 0) / 255 	-- unselected button text, hover text background, crimenet icons divider, shadow text, hover background in contract menu, lootscreen card glow, ESC menu background
			tweak_data.screen_colors.important_1 				= Color(255, 255, 51, 51) / 255 	-- warning text (remaining skillpoints 0, incompatibility, locked content)
			tweak_data.screen_colors.important_2 				= Color("ff3333")					-- "expires in ..." bars in sidejobs
			tweak_data.screen_colors.item_stage_1 				= Color(255, 255, 255, 255) / 255 	-- acquired infamy levels, current heist day, locked asset padlock & "Waiting for..."
			tweak_data.screen_colors.item_stage_2 				= Color(255, 128, 102, 89) / 255 	-- accessible infamy levels
			tweak_data.screen_colors.item_stage_3 				= Color(255, 38, 28, 23) / 255 		-- inaccessible infamy levels & upcoming heist days
			tweak_data.screen_colors.stats_negative 			= Color(255, 254, 93, 99) / 255 	-- negative part stats
			tweak_data.screen_colors.stats_positive 			= Color(255, 191, 221, 125) / 255 	-- positive part stats
			tweak_data.screen_colors.stat_maxed 				= Color(255, 255, 0, 255) / 255 	-- maxed stat text on weapons (100 Accuracy/Stability)
			tweak_data.screen_colors.stats_mods 				= Color(255, 229, 229, 76) / 255  	-- summarised stat changes from weapon mods 
			tweak_data.screen_colors.friend_color 				= Color(255, 41, 204, 122) / 255 	-- host name in CRIME.NET (Steam Friend only)
			tweak_data.screen_colors.regular_color 				= Color(255, 240, 131, 41) / 255 	-- host name in CRIME.NET (Anyone)
			tweak_data.screen_colors.risk 						= Color(255, 255, 204, 0) / 255 	-- difficulty skulls & difficulty bonuses text
			tweak_data.screen_colors.heat_cold_color 			= Color(255, 255, 51, 51) / 255 	-- Heat EXP penalty text & blip
			tweak_data.screen_colors.heat_warm_color 			= Color(255, 255, 127, 0) / 255		-- Heat EXP bonus text & blip
			tweak_data.screen_colors.achievement_grey 			= Color(255, 145, 145, 145) / 255 	-- text color of achievement names when unselected, text color of achievement description when selected
			tweak_data.screen_colors.challenge_completed_color 	= Color(255, 255, 168, 0) / 255 	-- completed sidejob text color
			tweak_data.screen_colors.crime_spree_risk 			= Color(255, 255, 255, 0) / 255 	-- color of Crime Spree blips and icon on CRIME.NET
			tweak_data.screen_colors.mutators_color 			= Color(255, 211, 133, 255) / 255 	-- Mutated lobby symbol in CRIME.NET
			tweak_data.screen_colors.mutators_color_text 		= Color(255, 211, 133, 255) / 255 	-- mutators text in lobby, name of mutated lobby heist
			tweak_data.screen_colors.skirmish_color 			= Color(255, 255, 85, 30) / 255 	-- color of holdout blips in CRIME.NET, Holdout progress bar
			tweak_data.screen_colors.dlc_color 					= Color(255, 255, 212, 0) / 255 	-- DLC tag on heists in the contract broker (Ultimate Edition tag)
			tweak_data.screen_colors.community_color 			= Color(255, 59, 174, 254) / 255 	-- Community tag on heists in contract broker
			tweak_data.screen_colors.challenge_title 			= Color(255, 255, 168, 0) / 255		-- Anything ending in a colon (:) in the side jobs and trophy menu
			-- MISC
			tweak_data.screen_colors.ghost_color 				= Color(255, 255, 165, 76) / 255	-- ghost icon on server blips
			tweak_data.screen_colors.one_down 					= Color(255, 250, 30, 0) / 255		-- one down icon on server blips
			tweak_data.screen_colors.crimenet_lines 			= Color(255, 182, 152, 127) / 255 	-- map lines in crimenet
			tweak_data.screen_colors.pro_color 					= Color(255, 255, 51, 51) / 255 	-- Pro Job tag on heist (Obsolete)
			tweak_data.screen_colors.competitive_color 			= Color(255, 41, 204, 122) / 255 	-- ?
			tweak_data.screen_colors.event_color 				= Color(255, 255, 145, 0) / 255 	-- ?
			tweak_data.screen_colors.extra_bonus_color 			= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.heat_standard_color 		= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.infamous_color 			= Color(255, 255, 25, 255) 	/255	-- ?
			tweak_data.screen_colors.skill_color 				= Color(255, 77, 198, 255) / 255 	-- ?			
		
		elseif c == "5" then
			-- TEXT
			tweak_data.screen_colors.text 						= Color(255, 255, 255, 255) / 255 	-- standard text color: main menu text , flavor text in blackmarket, selected tab background
			tweak_data.screen_colors.resource 					= Color(255, 133, 77, 255) / 255 	-- skill bonus text in skill descriptions and blackmarket
			tweak_data.screen_colors.button_stage_1 			= Color(255, 0, 0, 0) / 255 		-- selected tab text in blackmarket & mission briefing & stage end screen, shadow text in mission briefing
			tweak_data.screen_colors.button_stage_2 			= Color(255, 133, 77, 255) / 255 	-- hover text in menus and blackmarket, CRIME.NET sidebar icons, contract video tint, lootscreen card tint, sort order in achievement menu
			tweak_data.screen_colors.button_stage_3 			= Color(127, 84, 0, 255) / 255 	-- unselected button text, hover text background, crimenet icons divider, shadow text, hover background in contract menu, lootscreen card glow, ESC menu background
			tweak_data.screen_colors.important_1 				= Color(255, 255, 51, 51) / 255 	-- warning text (remaining skillpoints 0, incompatibility, locked content)
			tweak_data.screen_colors.important_2 				= Color("ff3333")					-- "expires in ..." bars in sidejobs
			tweak_data.screen_colors.item_stage_1 				= Color(255, 255, 255, 255) / 255 	-- acquired infamy levels, current heist day, locked asset padlock & "Waiting for..."
			tweak_data.screen_colors.item_stage_2 				= Color(255, 102, 89, 128) / 255 	-- accessible infamy levels
			tweak_data.screen_colors.item_stage_3 				= Color(255, 28, 23, 38) / 255 		-- inaccessible infamy levels & upcoming heist days
			tweak_data.screen_colors.stats_negative 			= Color(255, 254, 93, 99) / 255 	-- negative part stats
			tweak_data.screen_colors.stats_positive 			= Color(255, 191, 221, 125) / 255 	-- positive part stats
			tweak_data.screen_colors.stat_maxed 				= Color(255, 255, 0, 255) / 255 	-- maxed stat text on weapons (100 Accuracy/Stability)
			tweak_data.screen_colors.stats_mods 				= Color(255, 229, 229, 76) / 255  	-- summarised stat changes from weapon mods 
			tweak_data.screen_colors.friend_color 				= Color(255, 41, 204, 122) / 255 	-- host name in CRIME.NET (Steam Friend only)
			tweak_data.screen_colors.regular_color 				= Color(255, 131, 41, 240) / 255 	-- host name in CRIME.NET (Anyone)
			tweak_data.screen_colors.risk 						= Color(255, 255, 204, 0) / 255 	-- difficulty skulls & difficulty bonuses text
			tweak_data.screen_colors.heat_cold_color 			= Color(255, 255, 51, 51) / 255 	-- Heat EXP penalty text & blip
			tweak_data.screen_colors.heat_warm_color 			= Color(255, 255, 127, 0) / 255		-- Heat EXP bonus text & blip
			tweak_data.screen_colors.achievement_grey 			= Color(255, 145, 145, 145) / 255 	-- text color of achievement names when unselected, text color of achievement description when selected
			tweak_data.screen_colors.challenge_completed_color 	= Color(255, 255, 168, 0) / 255 	-- completed sidejob text color
			tweak_data.screen_colors.crime_spree_risk 			= Color(255, 255, 255, 0) / 255 	-- color of Crime Spree blips and icon on CRIME.NET
			tweak_data.screen_colors.mutators_color 			= Color(255, 211, 133, 255) / 255 	-- Mutated lobby symbol in CRIME.NET
			tweak_data.screen_colors.mutators_color_text 		= Color(255, 211, 133, 255) / 255 	-- mutators text in lobby, name of mutated lobby heist
			tweak_data.screen_colors.skirmish_color 			= Color(255, 255, 85, 30) / 255 	-- color of holdout blips in CRIME.NET, Holdout progress bar
			tweak_data.screen_colors.dlc_color 					= Color(255, 255, 212, 0) / 255 	-- DLC tag on heists in the contract broker (Ultimate Edition tag)
			tweak_data.screen_colors.community_color 			= Color(255, 59, 174, 254) / 255 	-- Community tag on heists in contract broker
			tweak_data.screen_colors.challenge_title 			= Color(255, 255, 168, 0) / 255		-- Anything ending in a colon (:) in the side jobs and trophy menu
			-- MISC
			tweak_data.screen_colors.ghost_color 				= Color(255, 165, 76, 255) / 255	-- ghost icon on server blips
			tweak_data.screen_colors.one_down 					= Color(255, 250, 30, 0) / 255		-- one down icon on server blips
			tweak_data.screen_colors.crimenet_lines 			= Color(255, 152, 127, 182) / 255 	-- map lines in crimenet
			tweak_data.screen_colors.pro_color 					= Color(255, 255, 51, 51) / 255 	-- Pro Job tag on heist (Obsolete)
			tweak_data.screen_colors.competitive_color 			= Color(255, 41, 204, 122) / 255 	-- ?
			tweak_data.screen_colors.event_color 				= Color(255, 255, 145, 0) / 255 	-- ?
			tweak_data.screen_colors.extra_bonus_color 			= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.heat_standard_color 		= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.infamous_color 			= Color(255, 255, 25, 255) 	/255	-- ?
			tweak_data.screen_colors.skill_color 				= Color(255, 77, 198, 255) / 255 	-- ?			
		
		elseif c == "6" then
			-- TEXT
			tweak_data.screen_colors.text 						= Color(255, 255, 255, 255) / 255 	-- standard text color: main menu text , flavor text in blackmarket, selected tab background
			tweak_data.screen_colors.resource 					= Color(255, 255, 77, 110) / 255 	-- skill bonus text in skill descriptions and blackmarket
			tweak_data.screen_colors.button_stage_1 			= Color(255, 0, 0, 0) / 255 		-- selected tab text in blackmarket & mission briefing & stage end screen, shadow text in mission briefing
			tweak_data.screen_colors.button_stage_2 			= Color(255, 255, 77, 110) / 255 	-- hover text in menus and blackmarket, CRIME.NET sidebar icons, contract video tint, lootscreen card tint, sort order in achievement menu
			tweak_data.screen_colors.button_stage_3 			= Color(127, 255, 0, 43) / 255 	-- unselected button text, hover text background, crimenet icons divider, shadow text, hover background in contract menu, lootscreen card glow, ESC menu background
			tweak_data.screen_colors.important_1 				= Color(255, 255, 51, 51) / 255 	-- warning text (remaining skillpoints 0, incompatibility, locked content)
			tweak_data.screen_colors.important_2 				= Color("ff3333")					-- "expires in ..." bars in sidejobs
			tweak_data.screen_colors.item_stage_1 				= Color(255, 255, 255, 255) / 255 	-- acquired infamy levels, current heist day, locked asset padlock & "Waiting for..."
			tweak_data.screen_colors.item_stage_2 				= Color(255, 128, 89, 95) / 255 	-- accessible infamy levels
			tweak_data.screen_colors.item_stage_3 				= Color(255, 38, 23, 25) / 255 		-- inaccessible infamy levels & upcoming heist days
			tweak_data.screen_colors.stats_negative 			= Color(255, 254, 93, 99) / 255 	-- negative part stats
			tweak_data.screen_colors.stats_positive 			= Color(255, 191, 221, 125) / 255 	-- positive part stats
			tweak_data.screen_colors.stat_maxed 				= Color(255, 255, 0, 255) / 255 	-- maxed stat text on weapons (100 Accuracy/Stability)
			tweak_data.screen_colors.stats_mods 				= Color(255, 229, 229, 76) / 255  	-- summarised stat changes from weapon mods 
			tweak_data.screen_colors.friend_color 				= Color(255, 41, 204, 122) / 255 	-- host name in CRIME.NET (Steam Friend only)
			tweak_data.screen_colors.regular_color 				= Color(255, 240, 41, 50) / 255 	-- host name in CRIME.NET (Anyone)
			tweak_data.screen_colors.risk 						= Color(255, 255, 204, 0) / 255 	-- difficulty skulls & difficulty bonuses text
			tweak_data.screen_colors.heat_cold_color 			= Color(255, 255, 51, 51) / 255 	-- Heat EXP penalty text & blip
			tweak_data.screen_colors.heat_warm_color 			= Color(255, 255, 127, 0) / 255		-- Heat EXP bonus text & blip
			tweak_data.screen_colors.achievement_grey 			= Color(255, 145, 145, 145) / 255 	-- text color of achievement names when unselected, text color of achievement description when selected
			tweak_data.screen_colors.challenge_completed_color 	= Color(255, 255, 168, 0) / 255 	-- completed sidejob text color
			tweak_data.screen_colors.crime_spree_risk 			= Color(255, 255, 255, 0) / 255 	-- color of Crime Spree blips and icon on CRIME.NET
			tweak_data.screen_colors.mutators_color 			= Color(255, 211, 133, 255) / 255 	-- Mutated lobby symbol in CRIME.NET
			tweak_data.screen_colors.mutators_color_text 		= Color(255, 211, 133, 255) / 255 	-- mutators text in lobby, name of mutated lobby heist
			tweak_data.screen_colors.skirmish_color 			= Color(255, 255, 85, 30) / 255 	-- color of holdout blips in CRIME.NET, Holdout progress bar
			tweak_data.screen_colors.dlc_color 					= Color(255, 255, 212, 0) / 255 	-- DLC tag on heists in the contract broker (Ultimate Edition tag)
			tweak_data.screen_colors.community_color 			= Color(255, 59, 174, 254) / 255 	-- Community tag on heists in contract broker
			tweak_data.screen_colors.challenge_title 			= Color(255, 255, 168, 0) / 255		-- Anything ending in a colon (:) in the side jobs and trophy menu
			-- MISC
			tweak_data.screen_colors.ghost_color 				= Color(255, 255, 76, 76) / 255	-- ghost icon on server blips
			tweak_data.screen_colors.one_down 					= Color(255, 250, 30, 0) / 255		-- one down icon on server blips
			tweak_data.screen_colors.crimenet_lines 			= Color(255, 182, 127, 129) / 255 	-- map lines in crimenet
			tweak_data.screen_colors.pro_color 					= Color(255, 255, 51, 51) / 255 	-- Pro Job tag on heist (Obsolete)
			tweak_data.screen_colors.competitive_color 			= Color(255, 41, 204, 122) / 255 	-- ?
			tweak_data.screen_colors.event_color 				= Color(255, 255, 145, 0) / 255 	-- ?
			tweak_data.screen_colors.extra_bonus_color 			= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.heat_standard_color 		= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.infamous_color 			= Color(255, 255, 25, 255) 	/255	-- ?
			tweak_data.screen_colors.skill_color 				= Color(255, 77, 198, 255) / 255 	-- ?			
		
		elseif c == "7" then
			-- TEXT
			tweak_data.screen_colors.text 						= Color(255, 255, 255, 255) / 255 	-- (*) standard text color: main menu text , flavor text in blackmarket, selected tab background
			tweak_data.screen_colors.resource 					= Color(255, 255, 255, 255) / 255 	-- (!)(*) skill bonus text in skill descriptions and blackmarket
			tweak_data.screen_colors.button_stage_1 			= Color(255, 0, 0, 0) / 255 		-- (*) selected tab text in blackmarket & mission briefing & stage end screen, shadow text in mission briefing
			tweak_data.screen_colors.button_stage_2 			= Color(255, 255, 255, 255) / 255 	-- (!)(*) hover text in menus and blackmarket, CRIME.NET sidebar icons, contract video tint, lootscreen card tint, sort order in achievement menu
			tweak_data.screen_colors.button_stage_3 			= Color(127, 255, 255, 255) / 255 	-- (!)(*) unselected button text, hover text background, crimenet icons divider, shadow text, hover background in contract menu, lootscreen card glow, ESC menu background
			tweak_data.screen_colors.important_1 				= Color(255, 255, 51, 51) / 255 	-- (*) warning text (remaining skillpoints 0, incompatibility, locked content)
			tweak_data.screen_colors.important_2 				= Color("ff3333")					-- "expires in ..." bars in sidejobs
			tweak_data.screen_colors.item_stage_1 				= Color(255, 255, 255, 255) / 255 	-- (*) acquired infamy levels, current heist day, locked asset padlock & "Waiting for..."
			tweak_data.screen_colors.item_stage_2 				= Color(255, 255, 255, 255) / 255 	-- (!)(*) accessible infamy levels
			tweak_data.screen_colors.item_stage_3 				= Color(255, 255, 255, 255) / 255 	-- (!)(*) inaccessible infamy levels & upcoming heist days
			tweak_data.screen_colors.stats_negative 			= Color(255, 254, 93, 99) / 255 	-- (*) negative part stats
			tweak_data.screen_colors.stats_positive 			= Color(255, 191, 221, 125) / 255 	-- (*) positive part stats
			tweak_data.screen_colors.stat_maxed 				= Color(255, 255, 0, 255) / 255 	-- (*) maxed stat text on weapons (100 Accuracy/Stability)
			tweak_data.screen_colors.stats_mods 				= Color(255, 229, 229, 76) / 255  	-- (*) summarised stat changes from weapon mods 
			tweak_data.screen_colors.friend_color 				= Color(255, 41, 204, 122) / 255 	-- (*) host name in CRIME.NET (Steam Friend only)
			tweak_data.screen_colors.regular_color 				= Color(255, 255, 255, 255) / 255 	-- (!)(*) host name in CRIME.NET (Anyone)
			tweak_data.screen_colors.risk 						= Color(255, 255, 204, 0) / 255 	-- (*) difficulty skulls & difficulty bonuses text
			tweak_data.screen_colors.heat_cold_color 			= Color(255, 255, 51, 51) / 255 	-- (*) Heat EXP penalty text & blip
			tweak_data.screen_colors.heat_warm_color 			= Color(255, 255, 127, 0) / 255		-- (*) Heat EXP bonus text & blip
			tweak_data.screen_colors.achievement_grey 			= Color(255, 145, 145, 145) / 255 	-- (*) text color of achievement names when unselected, text color of achievement description when selected
			tweak_data.screen_colors.challenge_completed_color 	= Color(0, 255, 168, 0) / 255 		-- completed sidejob text color
			tweak_data.screen_colors.crime_spree_risk 			= Color(255, 255, 255, 0) / 255 	-- (*) color of Crime Spree blips and icon on CRIME.NET
			tweak_data.screen_colors.mutators_color 			= Color(255, 211, 133, 255) / 255 	-- (*) Mutated lobby symbol in CRIME.NET
			tweak_data.screen_colors.mutators_color_text 		= Color(255, 211, 133, 255) / 255 	-- (*) mutators text in lobby, name of mutated lobby heist
			tweak_data.screen_colors.skirmish_color 			= Color(255, 255, 85, 30) / 255 	-- (*) color of holdout blips in CRIME.NET, Holdout progress bar
			tweak_data.screen_colors.dlc_color 					= Color(255, 255, 212, 0) / 255 	-- (*) DLC tag on heists in the contract broker (Ultimate Edition tag)
			tweak_data.screen_colors.community_color 			= Color(255, 59, 174, 254) / 255 	-- (*) Community tag on heists in contract broker
			tweak_data.screen_colors.challenge_title 			= Color(255, 255, 168, 0) / 255		-- (*) Anything ending in a colon (:) in the side jobs and trophy menu
			-- MISC
			tweak_data.screen_colors.ghost_color 				= Color(255, 255, 255, 255) / 255	-- (!)(*) ghost icon on server blips
			tweak_data.screen_colors.one_down 					= Color(255, 250, 30, 0) / 255		-- (*) one down icon on server blips
			tweak_data.screen_colors.crimenet_lines 			= Color(255, 255, 255, 255) / 255 	-- (!)(*) map lines in crimenet
			tweak_data.screen_colors.pro_color 					= Color(255, 255, 51, 51) / 255 	-- Pro Job tag on heist (Obsolete)
			tweak_data.screen_colors.competitive_color 			= Color(255, 41, 204, 122) / 255 	-- ?
			tweak_data.screen_colors.event_color 				= Color(255, 255, 145, 0) / 255 	-- ?
			tweak_data.screen_colors.extra_bonus_color 			= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.heat_standard_color 		= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.infamous_color 			= Color(255, 255, 25, 255) 	/255	-- ?
			tweak_data.screen_colors.skill_color 				= Color(255, 77, 198, 255) / 255 	-- ?			
		
		elseif c == "8" then
			-- TEXT
			tweak_data.screen_colors.text 						= Color(255, 255, 255, 255) / 255 	-- standard text color: main menu text , flavor text in blackmarket, selected tab background
			tweak_data.screen_colors.resource 					= Color(255, 255, 222, 77) / 255 	-- skill bonus text in skill descriptions and blackmarket
			tweak_data.screen_colors.button_stage_1 			= Color(255, 0, 0, 0) / 255 		-- selected tab text in blackmarket & mission briefing & stage end screen, shadow text in mission briefing
			tweak_data.screen_colors.button_stage_2 			= Color(255, 255, 222, 77) / 255 	-- hover text in menus and blackmarket, CRIME.NET sidebar icons, contract video tint, lootscreen card tint, sort order in achievement menu
			tweak_data.screen_colors.button_stage_3 			= Color(127, 255, 212, 0) / 255 	-- unselected button text, hover text background, crimenet icons divider, shadow text, hover background in contract menu, lootscreen card glow, ESC menu background
			tweak_data.screen_colors.important_1 				= Color(255, 255, 51, 51) / 255 	-- warning text (remaining skillpoints 0, incompatibility, locked content)
			tweak_data.screen_colors.important_2 				= Color("ff3333")					-- "expires in ..." bars in sidejobs
			tweak_data.screen_colors.item_stage_1 				= Color(255, 255, 255, 255) / 255 	-- acquired infamy levels, current heist day, locked asset padlock & "Waiting for..."
			tweak_data.screen_colors.item_stage_2 				= Color(255, 128, 122, 89) / 255 	-- accessible infamy levels
			tweak_data.screen_colors.item_stage_3 				= Color(255, 38, 36, 23) / 255 		-- inaccessible infamy levels & upcoming heist days
			tweak_data.screen_colors.stats_negative 			= Color(255, 254, 93, 99) / 255 	-- negative part stats
			tweak_data.screen_colors.stats_positive 			= Color(255, 191, 221, 125) / 255 	-- positive part stats
			tweak_data.screen_colors.stat_maxed 				= Color(255, 255, 0, 255) / 255 	-- maxed stat text on weapons (100 Accuracy/Stability)
			tweak_data.screen_colors.stats_mods 				= Color(255, 229, 229, 76) / 255  	-- summarised stat changes from weapon mods 
			tweak_data.screen_colors.friend_color 				= Color(255, 41, 204, 122) / 255 	-- host name in CRIME.NET (Steam Friend only)
			tweak_data.screen_colors.regular_color 				= Color(255, 240, 231, 41) / 255 	-- host name in CRIME.NET (Anyone)
			tweak_data.screen_colors.risk 						= Color(255, 255, 204, 0) / 255 	-- difficulty skulls & difficulty bonuses text
			tweak_data.screen_colors.heat_cold_color 			= Color(255, 255, 51, 51) / 255 	-- Heat EXP penalty text & blip
			tweak_data.screen_colors.heat_warm_color 			= Color(255, 255, 127, 0) / 255		-- Heat EXP bonus text & blip
			tweak_data.screen_colors.achievement_grey 			= Color(255, 145, 145, 145) / 255 	-- text color of achievement names when unselected, text color of achievement description when selected
			tweak_data.screen_colors.challenge_completed_color 	= Color(255, 255, 168, 0) / 255 	-- completed sidejob text color
			tweak_data.screen_colors.crime_spree_risk 			= Color(255, 255, 255, 0) / 255 	-- color of Crime Spree blips and icon on CRIME.NET
			tweak_data.screen_colors.mutators_color 			= Color(255, 211, 133, 255) / 255 	-- Mutated lobby symbol in CRIME.NET
			tweak_data.screen_colors.mutators_color_text 		= Color(255, 211, 133, 255) / 255 	-- mutators text in lobby, name of mutated lobby heist
			tweak_data.screen_colors.skirmish_color 			= Color(255, 255, 85, 30) / 255 	-- color of holdout blips in CRIME.NET, Holdout progress bar
			tweak_data.screen_colors.dlc_color 					= Color(255, 255, 212, 0) / 255 	-- DLC tag on heists in the contract broker (Ultimate Edition tag)
			tweak_data.screen_colors.community_color 			= Color(255, 59, 174, 254) / 255 	-- Community tag on heists in contract broker
			tweak_data.screen_colors.challenge_title 			= Color(255, 255, 168, 0) / 255		-- Anything ending in a colon (:) in the side jobs and trophy menu
			-- MISC
			tweak_data.screen_colors.ghost_color 				= Color(255, 255, 255, 76) / 255	-- ghost icon on server blips
			tweak_data.screen_colors.one_down 					= Color(255, 250, 30, 0) / 255		-- one down icon on server blips
			tweak_data.screen_colors.crimenet_lines 			= Color(255, 182, 180, 127) / 255 	-- map lines in crimenet
			tweak_data.screen_colors.pro_color 					= Color(255, 255, 51, 51) / 255 	-- Pro Job tag on heist (Obsolete)
			tweak_data.screen_colors.competitive_color 			= Color(255, 41, 204, 122) / 255 	-- ?
			tweak_data.screen_colors.event_color 				= Color(255, 255, 145, 0) / 255 	-- ?
			tweak_data.screen_colors.extra_bonus_color 			= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.heat_standard_color 		= Color(255, 255, 255, 255) / 255 	-- ?
			tweak_data.screen_colors.infamous_color 			= Color(255, 255, 25, 255) 	/255	-- ?
			tweak_data.screen_colors.skill_color 				= Color(255, 77, 198, 255) / 255 	-- ?
	
		end
    local a = tostring(ColourSwitcher.settings.interactable_standard)
   	   if a == "1"      then tweak_data.contour.interactable.standard_color = tweak_data.contour.interactable.standard_color 
   elseif a == "2"      then tweak_data.contour.interactable.standard_color = c_green                                  
   elseif a == "3"      then tweak_data.contour.interactable.standard_color = c_mangenta                               
   elseif a == "4"      then tweak_data.contour.interactable.standard_color = c_orange                                   
   elseif a == "5"      then tweak_data.contour.interactable.standard_color = c_purple                                     
   elseif a == "6"      then tweak_data.contour.interactable.standard_color = c_red                                    
   elseif a == "7"      then tweak_data.contour.interactable.standard_color = c_white                                  
   elseif a == "8"      then tweak_data.contour.interactable.standard_color = c_yellow                                 
   elseif a == "9"      then tweak_data.contour.interactable.standard_color = c_blue                                   
   elseif a == "10"     then tweak_data.contour.interactable.standard_color = c_cyan                                   
   elseif a == "11"     then tweak_data.contour.interactable.standard_color = c_black   									end
	
	local b = tostring(ColourSwitcher.settings.interactable_selected)
       if b == "1"      then tweak_data.contour.interactable.selected_color = tweak_data.contour.interactable.selected_color 
   elseif b == "2"      then tweak_data.contour.interactable.selected_color = c_green                               
   elseif b == "3"      then tweak_data.contour.interactable.selected_color = c_mangenta                            
   elseif b == "4"      then tweak_data.contour.interactable.selected_color = c_orange                                
   elseif b == "5"      then tweak_data.contour.interactable.selected_color = c_purple                                  
   elseif b == "6"      then tweak_data.contour.interactable.selected_color = c_red                                 
   elseif b == "7"      then tweak_data.contour.interactable.selected_color = c_white                               
   elseif b == "8"      then tweak_data.contour.interactable.selected_color = c_yellow                              
   elseif b == "9"      then tweak_data.contour.interactable.selected_color = c_blue                                
   elseif b == "10"     then tweak_data.contour.interactable.selected_color = c_cyan                                
   elseif b == "11"     then tweak_data.contour.interactable.selected_color = c_black                               		end		
	
	local d = tostring(ColourSwitcher.settings.character_friendly)
       if d == "1"     then tweak_data.contour.character.friendly_color = tweak_data.contour.character.friendly_color
   elseif d == "2"     then tweak_data.contour.character.friendly_color = c_green                                        
   elseif d == "3"     then tweak_data.contour.character.friendly_color = c_mangenta                                     
   elseif d == "4"     then tweak_data.contour.character.friendly_color = c_orange                                       
   elseif d == "5"     then tweak_data.contour.character.friendly_color = c_purple                                       
   elseif d == "6"     then tweak_data.contour.character.friendly_color = c_red                                          
   elseif d == "7"     then tweak_data.contour.character.friendly_color = c_white                                        
   elseif d == "8"     then tweak_data.contour.character.friendly_color = c_yellow                                       
   elseif d == "9"     then tweak_data.contour.character.friendly_color = c_blue                                         
   elseif d == "10"    then tweak_data.contour.character.friendly_color = c_cyan                                         
   elseif d == "11"    then tweak_data.contour.character.friendly_color = c_black                                        	end
	
	local e = tostring(ColourSwitcher.settings.character_friendly_minion)
       if e == "1"     then tweak_data.contour.character.friendly_minion_color = tweak_data.contour.character.friendly_minion_color
   elseif e == "2"     then tweak_data.contour.character.friendly_minion_color = c_green                                        
   elseif e == "3"     then tweak_data.contour.character.friendly_minion_color = c_mangenta                                     
   elseif e == "4"     then tweak_data.contour.character.friendly_minion_color = c_orange                                       
   elseif e == "5"     then tweak_data.contour.character.friendly_minion_color = c_purple                                       
   elseif e == "6"     then tweak_data.contour.character.friendly_minion_color = c_red                                          
   elseif e == "7"     then tweak_data.contour.character.friendly_minion_color = c_white                                        
   elseif e == "8"     then tweak_data.contour.character.friendly_minion_color = c_yellow                                       
   elseif e == "9"     then tweak_data.contour.character.friendly_minion_color = c_blue                                         
   elseif e == "10"    then tweak_data.contour.character.friendly_minion_color = c_cyan                                         
   elseif e == "11"    then tweak_data.contour.character.friendly_minion_color = c_black                                     end
	
	local f = tostring(ColourSwitcher.settings.character_downed)
       if f == "1"     then tweak_data.contour.character.downed_color = tweak_data.contour.character.downed_color
   elseif f == "2"     then tweak_data.contour.character.downed_color = c_green                                        
   elseif f == "3"     then tweak_data.contour.character.downed_color = c_mangenta                                     
   elseif f == "4"     then tweak_data.contour.character.downed_color = c_orange                                       
   elseif f == "5"     then tweak_data.contour.character.downed_color = c_purple                                       
   elseif f == "6"     then tweak_data.contour.character.downed_color = c_red                                          
   elseif f == "7"     then tweak_data.contour.character.downed_color = c_white                                        
   elseif f == "8"     then tweak_data.contour.character.downed_color = c_yellow                                       
   elseif f == "9"     then tweak_data.contour.character.downed_color = c_blue                                         
   elseif f == "10"    then tweak_data.contour.character.downed_color = c_cyan                                         
   elseif f == "11"    then tweak_data.contour.character.downed_color = c_black                                        		end
	
	local g = tostring(ColourSwitcher.settings.character_dead)
       if g == "1"    then tweak_data.contour.character.dead_color = tweak_data.contour.character.dead_color
   elseif g == "2"    then tweak_data.contour.character.dead_color = c_green                                        
   elseif g == "3"    then tweak_data.contour.character.dead_color = c_mangenta                                     
   elseif g == "4"    then tweak_data.contour.character.dead_color = c_orange                                       
   elseif g == "5"    then tweak_data.contour.character.dead_color = c_purple                                       
   elseif g == "6"    then tweak_data.contour.character.dead_color = c_red                                          
   elseif g == "7"    then tweak_data.contour.character.dead_color = c_white                                        
   elseif g == "8"    then tweak_data.contour.character.dead_color = c_yellow                                       
   elseif g == "9"    then tweak_data.contour.character.dead_color = c_blue                                         
   elseif g == "10"   then tweak_data.contour.character.dead_color = c_cyan                                         
   elseif g == "11"   then tweak_data.contour.character.dead_color = c_black                                        		end
	
	local h = tostring(ColourSwitcher.settings.character_dangerous)
       if h == "1"    then tweak_data.contour.character.dangerous_color = tweak_data.contour.character.dangerous_color 
   elseif h == "2"    then tweak_data.contour.character.dangerous_color = c_green                                        
   elseif h == "3"    then tweak_data.contour.character.dangerous_color = c_mangenta                                     
   elseif h == "4"    then tweak_data.contour.character.dangerous_color = c_orange                                       
   elseif h == "5"    then tweak_data.contour.character.dangerous_color = c_purple                                       
   elseif h == "6"    then tweak_data.contour.character.dangerous_color = c_red                                          
   elseif h == "7"    then tweak_data.contour.character.dangerous_color = c_white                                        
   elseif h == "8"    then tweak_data.contour.character.dangerous_color = c_yellow                                       
   elseif h == "9"    then tweak_data.contour.character.dangerous_color = c_blue                                         
   elseif h == "10"   then tweak_data.contour.character.dangerous_color = c_cyan                                         
   elseif h == "11"   then tweak_data.contour.character.dangerous_color = c_black                                        	end
	
	local i = tostring(ColourSwitcher.settings.character_more_dangerous)
       if i == "1"    then tweak_data.contour.character.more_dangerous_color = tweak_data.contour.character.more_dangerous_color
   elseif i == "2"    then tweak_data.contour.character.more_dangerous_color = c_green                                        
   elseif i == "3"    then tweak_data.contour.character.more_dangerous_color = c_mangenta                                     
   elseif i == "4"    then tweak_data.contour.character.more_dangerous_color = c_orange                                       
   elseif i == "5"    then tweak_data.contour.character.more_dangerous_color = c_purple                                       
   elseif i == "6"    then tweak_data.contour.character.more_dangerous_color = c_red                                          
   elseif i == "7"    then tweak_data.contour.character.more_dangerous_color = c_white                                        
   elseif i == "8"    then tweak_data.contour.character.more_dangerous_color = c_yellow                                       
   elseif i == "9"    then tweak_data.contour.character.more_dangerous_color = c_blue                                         
   elseif i == "10"   then tweak_data.contour.character.more_dangerous_color = c_cyan                                         
   elseif i == "11"   then tweak_data.contour.character.more_dangerous_color = c_black                                      end
	
	local j = tostring(ColourSwitcher.settings.character_heal)
       if j == "1"    then tweak_data.contour.character.heal_color = tweak_data.contour.character.heal_color
   elseif j == "2"    then tweak_data.contour.character.heal_color = c_green                                        
   elseif j == "3"    then tweak_data.contour.character.heal_color = c_mangenta                                     
   elseif j == "4"    then tweak_data.contour.character.heal_color = c_orange                                       
   elseif j == "5"    then tweak_data.contour.character.heal_color = c_purple                                       
   elseif j == "6"    then tweak_data.contour.character.heal_color = c_red                                          
   elseif j == "7"    then tweak_data.contour.character.heal_color = c_white                                        
   elseif j == "8"    then tweak_data.contour.character.heal_color = c_yellow                                       
   elseif j == "9"    then tweak_data.contour.character.heal_color = c_blue                                         
   elseif j == "10"   then tweak_data.contour.character.heal_color = c_cyan                                         
   elseif j == "11"   then tweak_data.contour.character.heal_color = c_black                                        		end
	
	local k = tostring(ColourSwitcher.settings.character_invulnerable)
       if k == "1"    then tweak_data.contour.character.tmp_invulnerable_color = tweak_data.contour.character.tmp_invulnerable_color
   elseif k == "2"    then tweak_data.contour.character.tmp_invulnerable_color = c_green                                        
   elseif k == "3"    then tweak_data.contour.character.tmp_invulnerable_color = c_mangenta                                     
   elseif k == "4"    then tweak_data.contour.character.tmp_invulnerable_color = c_orange                                       
   elseif k == "5"    then tweak_data.contour.character.tmp_invulnerable_color = c_purple                                       
   elseif k == "6"    then tweak_data.contour.character.tmp_invulnerable_color = c_red                                          
   elseif k == "7"    then tweak_data.contour.character.tmp_invulnerable_color = c_white                                        
   elseif k == "8"    then tweak_data.contour.character.tmp_invulnerable_color = c_yellow                                       
   elseif k == "9"    then tweak_data.contour.character.tmp_invulnerable_color = c_blue                                         
   elseif k == "10"   then tweak_data.contour.character.tmp_invulnerable_color = c_cyan                                         
   elseif k == "11"   then tweak_data.contour.character.tmp_invulnerable_color = c_black                                   	end
	
	local l = tostring(ColourSwitcher.settings.character_interactable_std)
       if l == "1"    then tweak_data.contour.character_interactable.standard_color = tweak_data.contour.character_interactable.standard_color 
   elseif l == "2"    then tweak_data.contour.character_interactable.standard_color = c_green                                        
   elseif l == "3"    then tweak_data.contour.character_interactable.standard_color = c_mangenta                                     
   elseif l == "4"    then tweak_data.contour.character_interactable.standard_color = c_orange                                       
   elseif l == "5"    then tweak_data.contour.character_interactable.standard_color = c_purple                                       
   elseif l == "6"    then tweak_data.contour.character_interactable.standard_color = c_red                                          
   elseif l == "7"    then tweak_data.contour.character_interactable.standard_color = c_white                                        
   elseif l == "8"    then tweak_data.contour.character_interactable.standard_color = c_yellow                                       
   elseif l == "9"    then tweak_data.contour.character_interactable.standard_color = c_blue                                         
   elseif l == "10"   then tweak_data.contour.character_interactable.standard_color = c_cyan                                         
   elseif l == "11"   then tweak_data.contour.character_interactable.standard_color = c_black                               end
	
	local m = tostring(ColourSwitcher.settings.character_interactable_sel)
       if m == "1"    then tweak_data.contour.character_interactable.selected_color = tweak_data.contour.character_interactable.selected_color
   elseif m == "2"    then tweak_data.contour.character_interactable.selected_color = c_green                                        
   elseif m == "3"    then tweak_data.contour.character_interactable.selected_color = c_mangenta                                     
   elseif m == "4"    then tweak_data.contour.character_interactable.selected_color = c_orange                                       
   elseif m == "5"    then tweak_data.contour.character_interactable.selected_color = c_purple                                       
   elseif m == "6"    then tweak_data.contour.character_interactable.selected_color = c_red                                          
   elseif m == "7"    then tweak_data.contour.character_interactable.selected_color = c_white                                        
   elseif m == "8"    then tweak_data.contour.character_interactable.selected_color = c_yellow                                       
   elseif m == "9"    then tweak_data.contour.character_interactable.selected_color = c_blue                                         
   elseif m == "10"   then tweak_data.contour.character_interactable.selected_color = c_cyan                                         
   elseif m == "11"   then tweak_data.contour.character_interactable.selected_color = c_black                               end
	
	local n = tostring(ColourSwitcher.settings.deployable_standard)
       if n == "1"    then tweak_data.contour.deployable.standard_color = tweak_data.contour.deployable.standard_color
   elseif n == "2"    then tweak_data.contour.deployable.standard_color = c_green                                        
   elseif n == "3"    then tweak_data.contour.deployable.standard_color = c_mangenta                                     
   elseif n == "4"    then tweak_data.contour.deployable.standard_color = c_orange                                       
   elseif n == "5"    then tweak_data.contour.deployable.standard_color = c_purple                                       
   elseif n == "6"    then tweak_data.contour.deployable.standard_color = c_red                                          
   elseif n == "7"    then tweak_data.contour.deployable.standard_color = c_white                                        
   elseif n == "8"    then tweak_data.contour.deployable.standard_color = c_yellow                                       
   elseif n == "9"    then tweak_data.contour.deployable.standard_color = c_blue                                         
   elseif n == "10"   then tweak_data.contour.deployable.standard_color = c_cyan                                         
   elseif n == "11"   then tweak_data.contour.deployable.standard_color = c_black                               			end
	
	local o = tostring(ColourSwitcher.settings.deployable_selected)
       if o == "1"    then tweak_data.contour.deployable.selected_color = tweak_data.contour.deployable.selected_color
   elseif o == "2"    then tweak_data.contour.deployable.selected_color = c_green                                        
   elseif o == "3"    then tweak_data.contour.deployable.selected_color = c_mangenta                                     
   elseif o == "4"    then tweak_data.contour.deployable.selected_color = c_orange                                       
   elseif o == "5"    then tweak_data.contour.deployable.selected_color = c_purple                                       
   elseif o == "6"    then tweak_data.contour.deployable.selected_color = c_red                                          
   elseif o == "7"    then tweak_data.contour.deployable.selected_color = c_white                                        
   elseif o == "8"    then tweak_data.contour.deployable.selected_color = c_yellow                                       
   elseif o == "9"    then tweak_data.contour.deployable.selected_color = c_blue                                         
   elseif o == "10"   then tweak_data.contour.deployable.selected_color = c_cyan                                         
   elseif o == "11"   then tweak_data.contour.deployable.selected_color = c_black                               			end
	
	local p = tostring(ColourSwitcher.settings.deployable_active)
       if p == "1"    then tweak_data.contour.deployable.active_color = tweak_data.contour.deployable.active_color
   elseif p == "2"    then tweak_data.contour.deployable.active_color = c_green                                        
   elseif p == "3"    then tweak_data.contour.deployable.active_color = c_mangenta                                     
   elseif p == "4"    then tweak_data.contour.deployable.active_color = c_orange                                       
   elseif p == "5"    then tweak_data.contour.deployable.active_color = c_purple                                       
   elseif p == "6"    then tweak_data.contour.deployable.active_color = c_red                                          
   elseif p == "7"    then tweak_data.contour.deployable.active_color = c_white                                        
   elseif p == "8"    then tweak_data.contour.deployable.active_color = c_yellow                                       
   elseif p == "9"    then tweak_data.contour.deployable.active_color = c_blue                                         
   elseif p == "10"   then tweak_data.contour.deployable.active_color = c_cyan                                         
   elseif p == "11"   then tweak_data.contour.deployable.active_color = c_black                               				end
	
	local q = tostring(ColourSwitcher.settings.deployable_interact)
       if q == "1"    then tweak_data.contour.deployable.interact_color = tweak_data.contour.deployable.interact_color
   elseif q == "2"    then tweak_data.contour.deployable.interact_color = c_green                                        
   elseif q == "3"    then tweak_data.contour.deployable.interact_color = c_mangenta                                     
   elseif q == "4"    then tweak_data.contour.deployable.interact_color = c_orange                                       
   elseif q == "5"    then tweak_data.contour.deployable.interact_color = c_purple                                       
   elseif q == "6"    then tweak_data.contour.deployable.interact_color = c_red                                          
   elseif q == "7"    then tweak_data.contour.deployable.interact_color = c_white                                        
   elseif q == "8"    then tweak_data.contour.deployable.interact_color = c_yellow                                       
   elseif q == "9"    then tweak_data.contour.deployable.interact_color = c_blue                                         
   elseif q == "10"   then tweak_data.contour.deployable.interact_color = c_cyan                                         
   elseif q == "11"   then tweak_data.contour.deployable.interact_color = c_black                               			end
	
	local r = tostring(ColourSwitcher.settings.deployable_disabled)
       if r == "1"    then tweak_data.contour.deployable.disabled_color = tweak_data.contour.deployable.disabled_color
   elseif r == "2"    then tweak_data.contour.deployable.disabled_color = c_green                                        
   elseif r == "3"    then tweak_data.contour.deployable.disabled_color = c_mangenta                                     
   elseif r == "4"    then tweak_data.contour.deployable.disabled_color = c_orange                                       
   elseif r == "5"    then tweak_data.contour.deployable.disabled_color = c_purple                                       
   elseif r == "6"    then tweak_data.contour.deployable.disabled_color = c_red                                          
   elseif r == "7"    then tweak_data.contour.deployable.disabled_color = c_white                                        
   elseif r == "8"    then tweak_data.contour.deployable.disabled_color = c_yellow                                       
   elseif r == "9"    then tweak_data.contour.deployable.disabled_color = c_blue                                         
   elseif r == "10"   then tweak_data.contour.deployable.disabled_color = c_cyan                                         
   elseif r == "11"   then tweak_data.contour.deployable.disabled_color = c_black                               			end
	
	local s = tostring(ColourSwitcher.settings.upgradable_standard)
       if s == "1"    then tweak_data.contour.upgradable.standard_color = tweak_data.contour.upgradable.standard_color
   elseif s == "2"    then tweak_data.contour.upgradable.standard_color = c_green                                        
   elseif s == "3"    then tweak_data.contour.upgradable.standard_color = c_mangenta                                     
   elseif s == "4"    then tweak_data.contour.upgradable.standard_color = c_orange                                       
   elseif s == "5"    then tweak_data.contour.upgradable.standard_color = c_purple                                       
   elseif s == "6"    then tweak_data.contour.upgradable.standard_color = c_red                                          
   elseif s == "7"    then tweak_data.contour.upgradable.standard_color = c_white                                        
   elseif s == "8"    then tweak_data.contour.upgradable.standard_color = c_yellow                                       
   elseif s == "9"    then tweak_data.contour.upgradable.standard_color = c_blue                                         
   elseif s == "10"   then tweak_data.contour.upgradable.standard_color = c_cyan                                         
   elseif s == "11"   then tweak_data.contour.upgradable.standard_color = c_black                               			end
	
	local t = tostring(ColourSwitcher.settings.upgradable_selected)
       if t == "1"    then tweak_data.contour.upgradable.selected_color = tweak_data.contour.upgradable.selected_color
   elseif t == "2"    then tweak_data.contour.upgradable.selected_color = c_green                                        
   elseif t == "3"    then tweak_data.contour.upgradable.selected_color = c_mangenta                                     
   elseif t == "4"    then tweak_data.contour.upgradable.selected_color = c_orange                                       
   elseif t == "5"    then tweak_data.contour.upgradable.selected_color = c_purple                                       
   elseif t == "6"    then tweak_data.contour.upgradable.selected_color = c_red                                          
   elseif t == "7"    then tweak_data.contour.upgradable.selected_color = c_white                                        
   elseif t == "8"    then tweak_data.contour.upgradable.selected_color = c_yellow                                       
   elseif t == "9"    then tweak_data.contour.upgradable.selected_color = c_blue                                         
   elseif t == "10"   then tweak_data.contour.upgradable.selected_color = c_cyan                                         
   elseif t == "11"   then tweak_data.contour.upgradable.selected_color = c_black                               			end
	
	local u = tostring(ColourSwitcher.settings.interaction_icon)
       if u == "1"    then tweak_data.contour.interactable_icon.selected_color = tweak_data.contour.interactable_icon.selected_color
   elseif u == "2"    then tweak_data.contour.interactable_icon.selected_color = c_green                                        
   elseif u == "3"    then tweak_data.contour.interactable_icon.selected_color = c_mangenta                                     
   elseif u == "4"    then tweak_data.contour.interactable_icon.selected_color = c_orange                                       
   elseif u == "5"    then tweak_data.contour.interactable_icon.selected_color = c_purple                                       
   elseif u == "6"    then tweak_data.contour.interactable_icon.selected_color = c_red                                          
   elseif u == "7"    then tweak_data.contour.interactable_icon.selected_color = c_white                                        
   elseif u == "8"    then tweak_data.contour.interactable_icon.selected_color = c_yellow                                       
   elseif u == "9"    then tweak_data.contour.interactable_icon.selected_color = c_blue                                         
   elseif u == "10"   then tweak_data.contour.interactable_icon.selected_color = c_cyan                                         
   elseif u == "11"   then tweak_data.contour.interactable_icon.selected_color = c_black                               					end